Skip to main content
POST
/
validate-single-email
Email Validation
curl --request POST \
  --url https://api.enrichley.io/api/v1/validate-single-email \
  --header 'Content-Type: application/json' \
  --header 'X-Api-Key: <api-key>' \
  --data '
{
  "email": "jane.doe@example.com"
}
'
import requests

url = "https://api.enrichley.io/api/v1/validate-single-email"

payload = { "email": "jane.doe@example.com" }
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({email: 'jane.doe@example.com'})
};

fetch('https://api.enrichley.io/api/v1/validate-single-email', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "email": "jane.doe@example.com",
  "valid": true,
  "result": "catch_all_validated",
  "mx_domain": "example.com",
  "email_type": "business",
  "mx_provider": "example",
  "credits_consumed": true,
  "mx_secure_email_gateway": true
}

Email Validation

This endpoint validates a single email address using the Enrichley API and returns validation and enrichment data.
  • Method: POST
  • Path: /validate-single-email
  • Auth: X-Api-Key header
The request body accepts a single field:
{
  "email": "jane.doe@example.com"
}
A typical response includes both a JSON body and useful rate-limit / credit headers. For example:
{
  "email": "jane.doe@example.com",
  "valid": true,
  "result": "catch_all_validated",
  "mx_domain": "example.com",
  "email_type": "business",
  "mx_provider": "example",
  "credits_consumed": true,
  "mx_secure_email_gateway": true
}
And response headers such as:
  • x-ratelimit-limit
  • x-ratelimit-remaining
  • x-ratelimit-reset
  • x-credits-remaining
The OpenAPI specification models this endpoint so the API playground in these docs can be used to send real requests by providing your X-Api-Key.

Authorizations

X-Api-Key
string
header
required

Body

application/json
email
string<email>
required

The email address to validate.

Response

Email validation and enrichment result.

email
string<email>
required

The email address that was validated.

valid
boolean

Whether the email is considered deliverable.

result
enum<string>

High-level validation result.

Possible values:

  • ok — the email is valid ✅
  • catch_all_validated — the email is a catch-all but was validated ✅
  • catch_all — the email is a catch-all ❌
  • invalid — the email is invalid and should not be used ❌
  • unknown — the validation status could not be retrieved ❌
Available options:
ok,
catch_all_validated,
catch_all,
invalid,
unknown
mx_domain
string

MX domain used by your recipient's email.

email_type
string

Email type classification (for example, business or personal).

mx_provider
string

MX provider used by your recpipient's email.

credits_consumed
boolean

Whether this request consumed a credit.

mx_secure_email_gateway
boolean

Whether your recipient's email is behind a secure email gateway.